%define pypi_name	pydot

Name:		python-pydot
Version:	3.0.2
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Summary:	Python interface to Graphviz's Dot language
URL:		https://pypi.org/project/pydot/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	graphviz-devel

%description
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

%package -n	python3-%{pypi_name}
Summary:	Python 3 interface to Graphviz's Dot language
Requires:	graphviz
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydot

%check
# most of the tests fail when comparing pydot to graphviz results. This is also the case with previous 2.0.0.
# we don't have ruff, thus it has to be removed from tests section in pyproject.toml
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSES/MIT.txt LICENSES/Python-2.0.txt
%doc ChangeLog README.md


%changelog
* Wed Nov 20 2024 papoteur <papoteur> 3.0.2-1.mga10
+ Revision: 2117844
- new version 3.0.2
- disable failing tests
+ daviddavid <daviddavid>
- new version: 3.0.2

* Thu Aug 15 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2086671
- new version: 2.0.0

* Tue Dec 26 2023 wally <wally> 1.4.2-4.mga10
+ Revision: 2021961
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 1.4.2-3.mga9
+ Revision: 1823443
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.4.2-2.mga9
+ Revision: 1783223
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 1.4.2-1.mga9
+ Revision: 1709181
- new version 1.42

* Sun Feb 16 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1532203
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.4.1-2.mga8
+ Revision: 1442122
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.4.1-1.mga7
+ Revision: 1353880
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-3.mga7
+ Revision: 1289774
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 1.2.4-2.mga7
+ Revision: 1210945
- Use new python_provide

* Mon Feb 19 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1203247
- new version: 1.2.4
- update URL and Source URL
- rename python-pydot to python2-pydot
- add the python3 subpackage

* Thu Aug 24 2017 ovitters <ovitters> 1.0.25-11.mga7
+ Revision: 1146263
+ rebuild (emptylog)

* Fri Feb 05 2016 umeabot <umeabot> 1.0.25-11.mga6
+ Revision: 938325
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.25-10.mga5
+ Revision: 744451
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.25-9.mga5
+ Revision: 729449
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.25-8.mga5
+ Revision: 688246
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.25-6.mga4
+ Revision: 544037
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.25-5.mga4
+ Revision: 499172
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.25-4.mga3
+ Revision: 379321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 1.0.25-3.mga3
+ Revision: 333578
- update file list

* Sun Jul 17 2011 fwang <fwang> 1.0.25-2.mga2
+ Revision: 125381
- update group

* Sun Jul 17 2011 fwang <fwang> 1.0.25-1.mga2
+ Revision: 125306
- update tar dir
- imported package python-pydot

